Subject: bug#72254: 29.4; Cannot yank media when image come from Gnome-shell screenshot

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Jul 2024 14:52:07 +0300

> Cc: [email-masked]
> From: Robert Pluim <[email-masked]>
> Date: Tue, 23 Jul 2024 13:21:36 +0200
> 
> >>>>> On Tue, 23 Jul 2024 12:57:36 +0200, Sébastien Gendre <[email-masked]> said:
> 
>     Sébastien> Hello,
>     Sébastien> I got a bug when I try to yank a screenshot made with Gnome-shell into
>     Sébastien> an org-mode buffer.
> 
>     Sébastien> From the reply I get on the Org-mode mailing list, the bug come from
>     Sébastien> Emacs itself.
> 
> 
>     Sébastien> What I do:
> 
>     Sébastien> * From the system menu of Gnome-shell, I choose the action to take a
>     Sébastien>   screenshot
> 
>     Sébastien> * I took a screenshot from a selected zone, confirm the screenshot and
>     Sébastien>   got a notification message telling me "You can past the screenshot
>     Sébastien>   from the clipboard"
> 
>     Sébastien> * On an Org-mode document, I place the point where I want to past the
>     Sébastien>   screenshot and call the Emacs function "yank-media"
> 
> If instead of running `yank-media' at this point, what happens if you
> evaluate:
> 
>    (gui-get-selection 'CLIPBOARD 'TARGETS)

In addition, please show the value of yank-media--registered-handlers
at this point.